@echo off
SetLocal EnableDelayedExpansion
rem This writes the first header line of csv file
"../../Windows/MzGenerator.exe" -m roi -f ./features.txt -o ./barley_results.csv

rem This computes features of healthy barley kernels and appends them to the csv file
rem Observe "-c Zdrowe" option which defines a class name for the feature vectors
for %%i in (./Barley/Healthy/*log1.tif) do (
    set a=./Barley/Healthy/%%i
    set b=!a:~0,-8!
    set c=!b!log2.tif
    "./../../Windows/MzGenerator.exe" -m roi -i !a! -a -r !c! -c Zdrowe -o ./barley_results.csv
)

rem This computes features of other classes of barley kernels and appends them to the csv file
for %%i in (./Barley/MissingGerm/*log1.tif) do (
    set a=./Barley/MissingGerm/%%i
    set b=!a:~0,-8!
    set c=!b!log2.tif
    "./../../Windows/MzGenerator.exe" -m roi -i !a! -a -r !c! -c Wybite -o ./barley_results.csv
)
for %%i in (./Barley/Broken/*log1.tif) do (
    set a=./Barley/Broken/%%i
    set b=!a:~0,-8!
    set c=!b!log2.tif
    "./../../Windows/MzGenerator.exe" -m roi -i !a! -a -r !c! -c Polowki -o ./barley_results.csv
)
for %%i in (./Barley/Infected/*log1.tif) do (
    set a=./Barley/Infected/%%i
    set b=!a:~0,-8!
    set c=!b!log2.tif
    "./../../Windows/MzGenerator.exe" -m roi -i !a! -a -r !c! -c Splesniale -o ./barley_results.csv
)

rem This will automatically run MzReport after completion of computations
"../../Windows/MzReport.exe" ./barley_results.csv