#!/bin/bash
# This writes the first header line of csv file
../../Linux/MzGenerator -m roi -f ./features.txt -o ./barley_results.csv

# This computes features of healthy barley kernels and appends them to the csv file
# Observe "-c Zdrowe" option which defines a class name for the feature vectors
for i in ./Barley/Healthy/*log1.tif
do
    ../../Linux/MzGenerator -m roi -i "$i" -a -r "${i%log1.tif}log2.tif" -c Zdrowe -o ./barley_results.csv
done 

# This computes features of other classes of barley kernels and appends them to the csv file
for i in ./Barley/MissingGerm/*log1.tif
do
    ../../Linux/MzGenerator -m roi -i "$i" -a -r "${i%log1.tif}log2.tif" -c Wybite -o ./barley_results.csv
done 

for i in ./Barley/Broken/*log1.tif
do
    ../../Linux/MzGenerator -m roi -i "$i" -a -r "${i%log1.tif}log2.tif" -c Polowki -o ./barley_results.csv
done

for i in ./Barley/Infected/*log1.tif
do
    ../../Linux/MzGenerator -m roi -i "$i" -a -r "${i%log1.tif}log2.tif" -c Splesniale -o ./barley_results.csv
done 

# This will automatically run MzReport after completion of computations
../../Linux/MzReport ./barley_results.csv
